import React from 'react';
import useEngineContext from "../../../../../../../hooks/useEngineContext";
import "./index.less";
import { locales } from '@pisell/utils';
var ThreedsLoading = function ThreedsLoading(_ref) {
  var _context$appHelper;
  var title = _ref.title,
    showSuccessBackButton = _ref.showSuccessBackButton,
    onSuccessBack = _ref.onSuccessBack;
  var context = useEngineContext();
  var _ref2 = ((_context$appHelper = context.appHelper) === null || _context$appHelper === void 0 ? void 0 : _context$appHelper.constants) || {},
    config = _ref2.config;
  return /*#__PURE__*/React.createElement("div", {
    className: 'threeds-loading-wrap'
  }, /*#__PURE__*/React.createElement("img", {
    className: 'threeds-loading-logo',
    src: config.static + '/static/stripe_loading.gif',
    alt: ""
  }), /*#__PURE__*/React.createElement("div", {
    className: 'threeds-loading-title'
  }, title || locales.getText('tocPay.text.waitingForBankVerification')), showSuccessBackButton && /*#__PURE__*/React.createElement("div", {
    onClick: onSuccessBack,
    className: "threeds-loading-success-back-button"
  }, locales.getText('tocPay.text.successBack')));
};
export default ThreedsLoading;